.de Id
.ds Rv \\$3
.ds Dt \\$4
..
.Id $Id: xmountains.man,v 1.14 1999/03/30 08:07:08 spb Exp $
.ds r \s-1RCS\s0
.if n .ds - \%--
.if t .ds - \(em
.TH XMOUNTAINS 1 
.SH NAME
xmountains \- A fractal landscape generator.
.SH SYNOPSIS
.B xmountains
[
.B bqgPdEmMrBnZIASTWFGCapcevfRltxsXYH
]

.SH DESCRIPTION
.B xmountains
is a X11 based fractal landscape generator.
It generates random fractal surfaces and displays them in a window.
While the program is running the fractal is continuously extended on the right
and the image is scrolled from right to left to expose the newly generated area.

.PP
Flags:
.br
.B \-b 
.RS
Use the root window.
.RE
.br
.B \-q 
.RS
Reset the root window when the program exits. This option is ignored
unless the program is using the root window.
.RE
.br
.B \-g [string] 
.RS
Set the geometry of the window.
.RE
.br
.B \-P [filename] 
.RS
Write the PID to the specified file.
.RE
.br
.B \-d [string] 
.RS
Set the display.
.RE
.br
.B \-E
.RS
Toggle the way that window repainting is done. By default the image
pixmap is installed as the background pixmap of the window and window
repainting should be performed automatically by the X server. If this
does not work on a particular system then this flag can be used to
enable explicit expose event processing. In the default mode root window images
will remain in place after the program exits.
.RE
.br
.B \-m 
.RS
Display a map of the surface rather than a perspective view.
.RE
.br
.B \-M
.RS
Produce reflections in the water. This may be a little slower.
.RE
.br
.B \-r [20] 
.RS
To reduce the load on the X server the program generates several columns of pixels before scrolling the image. This flag sets the number of columns.
A negative value reverses the direction of scrolling. A value of zero
makes the program scan across the window without scrolling at all.
.RE
.br
.B \-B [80] 
.RS
Set the number of shades of each colour that the program allocates.
.RE
.br
.B \-n [245] 
.RS
Set a maximum number of colours to use. This is just a different way of
setting the number of shades of each colour.
.RE
.br
.B \-Z [10] 
.RS
Set the number of seconds that the program sleeps after scrolling the screen.
.RE
.br
.B \-I [40.0] 
.RS
Set the vertical angle of illumination.
.RE
.br
.B \-A [0.0] 
.RS
Set the horizontal angle of illumination.
.RE
.br
.B \-S [0.6] 
.RS
Set the vertical stretch of the surface.
.RE
.br
.B \-T [0.5] 
.RS
Set the vertical shift of the surface.
.RE
.br
.B \-W [0.5] 
.RS
Set the height where the water occurs.
.RE
.br
.B \-F [1] 
.RS
Reduce the variation in the foreground height to ensure a good view of
the surface. This flag sets the number of iterations for which the
foreground height is constrained to a constant value.
.RE
.br
.B \-G [-1.0] 
.RS
Mean altitude for the for foreground.
.RE
.br
.B \-C [0.3] 
.RS
Set the contour parameter. The base colour of a point depends on its
height and how flat the surface is. This parameter controls the relative
importance of these factors.
.RE
.br
.B \-a [2.5] 
.RS
Set the Altitude of the viewpoint.
.RE
.br
.B \-p [4.0] 
.RS
Set the distance of the viewpoint from the front of the surface.
.RE
.br
.B \-c [1.0] 
.RS
Set the contrast parameter. Values too far from 1.0 will give strange results
.RE
.br
.B \-e [0.3] 
.RS
Set the ambient light level. This is a fractional value that sets how
bright shaded areas will be compared to fully illuminated ground.
.RE
.br
.B \-v [0.6] 
.RS
Set the vertical light level. The program also implements a secondary
light source shining from directly above the surface. This flag sets how
bright this light source is relative to the main light source.
.RE
.br
.B \-f [0.65] 
.RS
Set the fractal dimension of the surface. This should be in the range 0.5\-1.0.
.RE
.br
.B \-R [0] 
.RS
Set the seed for the random number generator. A value of 0 causes the seed to be set from the clock.
.RE
.br
.B \-l [10] 
.RS
Set the width of the surface. Increasing this value by one doubles the width of the surface.
.RE
.br
.B \-t [2] 
.RS
Set the number of non\-fractal iterations. Increasing this value by one doubles the average number of mountains across the width of the surface.
.RE
.br
.B \-x
.RS
Use cross updates (see under \-H)
.RE
.br
.B \-s [1]
.RS
Control the regeneration steps used to reduce creasing. There are three
possible regeneration steps controlled by the first 3 bits of this flag value.
(see under \-H)
.RE
.br
.B \-X [0.0]
.RS
regeneration step parameter (see under \-H)
.RE
.br
.B \-Y [0.0]
.RS
regeneration step parameter (see under \-H)
.RE
.br
.B \-H
.RS
Print a short description of the algorithm explaining the \-x \-s \-X
and \-Y parameters.
.RE

.PP

.SH IDENTIFICATION
Author: S.Booth@ed.ac.uk



